<div class="event" style="transform: translate3d(0, {topOffset}px, 0)">
    <div class="icon" on:click="toggle()">⭐</div>
    {#if isOpen} 
    <div class="description">{event.description}</div>
    {/if}
</div>

<style>
    .event {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        overflow: visible;
        z-index: 5;
    }


    .icon {
        width: 3rem;
        cursor: pointer;
        text-align: center;
        line-height: 2;
    }
    
    .description {
        position: absolute;
        top: 0;
        left: 3rem;
        width: calc(100% - 3rem);
        height: 3rem;
        background: #333;
    }
</style>

<script>
    export default {
        data: () => ({
            isOpen: false,
        }),
        computed: {
            topOffset: ({ event, endAt }) => (endAt - event.when) / (1000 * 60 * 60 * 24 * .0015),
        },
        methods: {
            toggle() {
                this.set({ isOpen: !this.get().isOpen });
            }
        }
    }
</script>